Subject: bug#33135: 27.0.50; (make-thread) TRAMP interactive freeze macOS 10.14

From: Michael Albinus <[email-masked]>
Date: Mon, 05 Nov 2018 14:49:31 +0100

Christian Johansson <[email-masked]> writes:

> Hi Michael

Hi Christian,

> I haven't experienced a single crash since I started using your
> threaded tramp branch but I sometimes get errors like this, but it
> doesn't make Emacs crash, I can just retry same operation and it will
> work. It seems like sometimes a thread is busy and Emacs tries to
> access it in some way and this error occurs, I have replaced sensitive
> information with --- below
>
> Debugger entered--Lisp error: (error "Attempt to accept output from
> process *ftp ---...")
>   accept-process-output(#<process *ftp ---@---*>)
>   ange-ftp-wait-not-busy(#<process *ftp ---@---*>)
>   ange-ftp-raw-send-cmd(#<process *ftp ---@---*> "type ascii" nil
> (#f(compiled-function (result line host user cmd msg cont nowait)
> #<bytecode 0x4ffee879>) "---" "---" "type ascii" nil nil nil) nil)

Looks like the ange-ftp process is not assigned to the proper thread. As
said, ange-ftp is a special case, it wasn't handled yet.

I've pushed a fix to the feature/tramp-thread-safe branch; should work
now. Could you pls retest?

> I haven't tried threaded tramp that requires user-interaction yet
> though since I got ~/.authinfo.gpg working with ange-ftp, I'll see if
> I can test that this week

Likely, this won't work. Nobody has provided a fix for this problem, yet.

> Regards
> Christian

Best regards, Michael.